org.eclipse.emf.facet.util.emf.catalog

## Interface CatalogPackage

Deprecated.

    @Deprecated
    public interface CatalogPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `CatalogFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `CatalogPackage.Literals` Deprecated. Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static int` `CATALOG` Deprecated. The meta object id for the '`Catalog`' class.
`static int` `CATALOG__INSTALLED_ENTRIES` Deprecated. The feature id for the 'Installed Entries' reference list.
`static int` `CATALOG__NAME` Deprecated. The feature id for the 'Name' attribute.
`static int` `CATALOG_FEATURE_COUNT` Deprecated. The number of structural features of the 'Catalog' class.
`static int` `CATALOG_SET` Deprecated. The meta object id for the '`Set`' class.
`static int` `CATALOG_SET__CATALOGS` Deprecated. The feature id for the 'Catalogs' containment reference list.
`static int` `CATALOG_SET_FEATURE_COUNT` Deprecated. The number of structural features of the 'Set' class.
`static CatalogPackage` `eINSTANCE` Deprecated. The singleton instance of the package.
`static java.lang.String` `eNAME` Deprecated. The package name.
`static java.lang.String` `eNS_PREFIX` Deprecated. The package namespace name.
`static java.lang.String` `eNS_URI` Deprecated. The package namespace URI.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`EReference` `getCatalog_InstalledEntries()` Deprecated. Returns the meta object for the reference list '`Installed Entries`'.
`EAttribute` `getCatalog_Name()` Deprecated. Returns the meta object for the attribute '`Name`'.
`EClass` `getCatalog()` Deprecated. Returns the meta object for class '`Catalog`'.
`CatalogFactory` `getCatalogFactory()` Deprecated. Returns the factory that creates the instances of the model.
`EReference` `getCatalogSet_Catalogs()` Deprecated. Returns the meta object for the containment reference list '`Catalogs`'.
`EClass` `getCatalogSet()` Deprecated. Returns the meta object for class '`Set`'.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

Deprecated.
The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

Deprecated.
The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

Deprecated.
The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final CatalogPackage eINSTANCE

Deprecated.
The singleton instance of the package.

Generated:

#### CATALOG_SET

    static final int CATALOG_SET

Deprecated.
The meta object id for the '`Set`' class.

See Also:
  `org.eclipse.emf.facet.util.emf.catalog.impl.CatalogSetImpl`, `org.eclipse.emf.facet.util.emf.catalog.impl.CatalogPackageImpl#getCatalogSet()`, Constant Field Values
Generated:

#### CATALOG_SET__CATALOGS

    static final int CATALOG_SET__CATALOGS

Deprecated.
The feature id for the 'Catalogs' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### CATALOG_SET_FEATURE_COUNT

    static final int CATALOG_SET_FEATURE_COUNT

Deprecated.
The number of structural features of the 'Set' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### CATALOG

    static final int CATALOG

Deprecated.
The meta object id for the '`Catalog`' class.

See Also:
  `Catalog`, `org.eclipse.emf.facet.util.emf.catalog.impl.CatalogPackageImpl#getCatalog()`, Constant Field Values
Generated:

#### CATALOG__INSTALLED_ENTRIES

    static final int CATALOG__INSTALLED_ENTRIES

Deprecated.
The feature id for the 'Installed Entries' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### CATALOG__NAME

    static final int CATALOG__NAME

Deprecated.
The feature id for the 'Name' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### CATALOG_FEATURE_COUNT

    static final int CATALOG_FEATURE_COUNT

Deprecated.
The number of structural features of the 'Catalog' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getCatalogSet

    EClass getCatalogSet()

Deprecated.
Returns the meta object for class '`Set`'.

Returns:
  the meta object for class 'Set'.
See Also:
  `CatalogSet`
Generated:

#### getCatalogSet_Catalogs

    EReference getCatalogSet_Catalogs()

Deprecated.
Returns the meta object for the containment reference list '`Catalogs`'.

Returns:
  the meta object for the containment reference list 'Catalogs'.
See Also:
  `CatalogSet.getCatalogs()`, `getCatalogSet()`
Generated:

#### getCatalog

    EClass getCatalog()

Deprecated.
Returns the meta object for class '`Catalog`'.

Returns:
  the meta object for class 'Catalog'.
See Also:
  `Catalog`
Generated:

#### getCatalog_InstalledEntries

    EReference getCatalog_InstalledEntries()

Deprecated.
Returns the meta object for the reference list '`Installed Entries`'.

Returns:
  the meta object for the reference list 'Installed Entries'.
See Also:
  `Catalog.getInstalledEntries()`, `getCatalog()`
Generated:

#### getCatalog_Name

    EAttribute getCatalog_Name()

Deprecated.
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `Catalog.getName()`, `getCatalog()`
Generated:

#### getCatalogFactory

    CatalogFactory getCatalogFactory()

Deprecated.
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: